Bug 65709 - Nautilus will not display proper icons for mime types
Nautilus will not display proper icons for mime types
Status: CLOSED DEFERRED
Product: Red Hat Linux
Classification: Retired
Component: nautilus (Show other bugs)
7.3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-30 12:43 EDT by Jim Shanks
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-05-30 12:43:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jim Shanks 2002-05-30 12:43:34 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.0 (X11; Linux i686; U;) Gecko/20020408

Description of problem:
Nautilus will only display icons for mime types if the icons associated with the
file are in the /usr/share/pixmaps/nautilus/ directory.  Many programs including
OpenOffice.org use the icons (.png files) in the program directory.  This has
the effect of Nautilus displaying the ugly generic blank page icon for files
created with StarOffice / OpenOffice, etc.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.  Install OpenOffice.org 1.0.  I use the -net install and install OpenOffice
in the /usr/local/OpenOffice1.0/ directory and then run the setup program to
store my user setting in my home directory under ~/OpenOffice1.0.
2.  Create and save a file in your home directory.
3.  View the home directory with Nautilus.
	

Actual Results:  The icon displayed for the newly created file is the "blank
page" default icon.

Expected Results:  Should display the icon associated with the file type.

Additional info:

Checking the OpenOffice.org file types with file-types-capplet (or looking at
the ~/.gnome/mime-info/user.keys file) shows that the icons for the file types
are properly configured as /user/local/OpenOffice1.0/share/icons/ICON-NAME.png
and they show up normally in other file managers.

If you copy the icons from the /usr/local/OpenOffice1.0/share/icons to the
/usr/share/pixmaps/nautilus/ directory and then run file-types-capplet and set
the location of the icons to /usr/share/pixmaps/nautilus/ICON-NAME.png the icons
will display normally.  This is really alot of work for every program and user
on the system.
Comment 1 Havoc Pennington 2002-06-09 10:49:58 EDT
Upstream as http://bugzilla.gnome.org/show_bug.cgi?id=84657 - you may want to get 
on the cc list for that bug.

We will pull a fix from gnome.org if it becomes available.

Note You need to log in before you can comment on or make changes to this bug.